
import xlearn as xl
from config import *


print("Start training")
ffm_model = xl.create_ffm()
ffm_model.setTrain(DIRECTORY_PATH + "data.csv")
ffm_model.setValidate(DIRECTORY_PATH + "validation.csv")


param = {'task':'binary', 'lr':0.03,
         'lambda':0.002, 'metric':'auc'}

ffm_model.fit(param, DIRECTORY_PATH + "model.out")

print("predicting")
ffm_model.setTest(DIRECTORY_PATH + "test.csv")
ffm_model.setSigmoid()
ffm_model.predict(DIRECTORY_PATH + "model.out",
                  DIRECTORY_PATH + "output.txt")





